using Decimation.Lib.Items;
using Decimation.Lib.Util;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ID;

namespace Decimation.Content.Items.Weapons.Arachnus
{
    internal class Infernolizer : DecimationWeapon
    {
        protected override string ItemName => "Infernolizer";
        protected override string ItemTooltip => "Releases flares upon your foes";
        protected override int Damages => 880;
        protected override DamageType DamagesType => DamageType.Magic;
        protected override bool VanillaProjectile => true;
        protected override string ProjectileName => "HeatRay";

        protected override void InitWeapon()
        {
            item.CloneDefaults(ItemID.HeatRay);
            item.crit = 8;
            item.knockBack = 6;
            item.useTime = 10;
            item.useAnimation = 10;
            item.value = Item.buyPrice(0, 45);
            item.rare = Rarity.Red.GetRarityValue();
            item.shootSpeed = 15f;
        }

        public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY,
            ref int type, ref int damage, ref float knockBack)
        {
            Terraria.Projectile.NewProjectile(new Vector2(position.X, position.Y - 8), new Vector2(speedX, speedY),
                type, damage, knockBack);
            return true;
        }
    }
}